All Apps and Add-ons

Splunk Add-on for OPC UA Error REST 404 & Script error with code 127

Contributor

Hi dears,

I has installed the app Splunk Add-on for OPC UA in my lab but when I try configure the app, two errors occur:

Has anyone ever seen this error?

Thanks!

Splunk Employee
Splunk Employee

Hi,

Did you try to run ldd the mi_opcua_pull binary?

I got the same issue on a Red Hat 6.x, looks like mi_opcua_pull is linked to a newer glibc than I have at least. Maybe try it on Red Hat 7.x?

[splunk@splunk Splunk_TA_opcua]$ ldd ./linux_x86_64/bin/mi_opcua_pull
./linux_x86_64/bin/mi_opcua_pull: /lib64/libc.so.6: version GLIBC_2.17' not found (required by ./linux_x86_64/bin/mi_opcua_pull)
./linux_x86_64/bin/mi_opcua_pull: /lib64/libc.so.6: version GLIBC_2.14' not found (required by ./linux_x86_64/bin/mi_opcua_pull)
0 Karma

SplunkTrust
SplunkTrust

Do you run your splunk management port on a different port from 8089?

0 Karma
State of Splunk Careers

Access the Splunk Careers Report to see real data that shows how Splunk mastery increases your value and job satisfaction.

Find out what your skills are worth!